[Hackage] #748: cabal update fails

Hackage cvs-ghc at haskell.org
Fri Oct 15 09:21:56 EDT 2010

#748: cabal update fails
  Reporter:  guest               |        Owner:         
      Type:  defect              |       Status:  new    
  Priority:  normal              |    Milestone:         
 Component:  cabal-install tool  |      Version:
  Severity:  normal              |     Keywords:         
Difficulty:  unknown             |   Ghcversion:  6.12.3 
  Platform:  Windows             |  

Comment(by guest):

 I think it's not about system wide configuration. My company has more
 sophisticated proxy policy - all my browsers (IE, Chrome, Firefox) are
 configured to use autoconfiguration script, which is accessible in my
 intranet - this script does not define one proxy server and selects proxy
 based on some conditions. It appears that cabal is not using this script -
 as I see it's written in JS, so I suppose this bug will not be resolved as
 you probably aren't willing to add JS compiler to cabal - at least I
 wouldn't :) In the other hand this bug makes it more difficult for many
 companies to use haskell - at least for HP. Check out this:

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/748#comment:4>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list